// Contains the recommended formatting for each field
package fields

var FieldsNameFormattedMap = map[NormalizedOptionName]string{
	"host":                             "Host",
	"match":                            "Match",
	"addkeystoagent":                   "AddKeysToAgent",
	"addressfamily":                    "AddressFamily",
	"batchmode":                        "BatchMode",
	"bindaddress":                      "BindAddress",
	"bindinterface":                    "BindInterface",
	"canonicaldomains":                 "CanonicalDomains",
	"canonicalizefallbacklocal":        "CanonicalizeFallbackLocal",
	"canonicalizehostname":             "CanonicalizeHostname",
	"canonicalizemaxdots":              "CanonicalizeMaxDots",
	"canonicalizepermittedcnames":      "CanonicalizePermittedCNAMEs",
	"casignaturealgorithms":            "CASignatureAlgorithms",
	"certificatefile":                  "CertificateFile",
	"channeltimeout":                   "ChannelTimeout",
	"checkhostip":                      "CheckHostIP",
	"ciphers":                          "Ciphers",
	"clearallforwardings":              "ClearAllForwardings",
	"compression":                      "Compression",
	"connectionattempts":               "ConnectionAttempts",
	"connecttimeout":                   "ConnectTimeout",
	"controlmaster":                    "ControlMaster",
	"controlpath":                      "ControlPath",
	"controlpersist":                   "ControlPersist",
	"dynamicforward":                   "DynamicForward",
	"enableescapecommandline":          "EnableEscapeCommandline",
	"enablesshkeysign":                 "EnableSSHKeysign",
	"escapechar":                       "EscapeChar",
	"exitonforwardfailure":             "ExitOnForwardFailure",
	"fingerprinthash":                  "FingerprintHash",
	"forkafterauthentication":          "ForkAfterAuthentication",
	"forwardagent":                     "ForwardAgent",
	"forwardx11":                       "ForwardX11",
	"forwardx11timeout":                "ForwardX11Timeout",
	"forwardx11trusted":                "ForwardX11Trusted",
	"gatewayports":                     "GatewayPorts",
	"globalknownhostsfile":             "GlobalKnownHostsFile",
	"gssapiauthentication":             "GSSAPIAuthentication",
	"gssapidelegatecredentials":        "GSSAPIDelegateCredentials",
	"hashknownhosts":                   "HashKnownHosts",
	"hostbasedacceptedalgorithms":      "HostbasedAcceptedAlgorithms",
	"hostbasedauthentication":          "HostbasedAuthentication",
	"hostkeyalgorithms":                "HostKeyAlgorithms",
	"hostkeyalias":                     "HostKeyAlias",
	"hostname":                         "Hostname",
	"identitiesonly":                   "IdentitiesOnly",
	"identityagent":                    "IdentityAgent",
	"identityfile":                     "IdentityFile",
	"ignoreunknown":                    "IgnoreUnknown",
	"include":                          "Include",
	"ipqos":                            "IPQoS",
	"kbdinteractiveauthentication":     "KbdInteractiveAuthentication",
	"kbdinteractivedevices":            "KbdInteractiveDevices",
	"kexalgorithms":                    "KexAlgorithms",
	"knownhostscommand":                "KnownHostsCommand",
	"localcommand":                     "LocalCommand",
	"localforward":                     "LocalForward",
	"loglevel":                         "LogLevel",
	"logverbose":                       "LogVerbose",
	"macs":                             "MACs",
	"nohostauthenticationforlocalhost": "NoHostAuthenticationForLocalhost",
	"numberofpasswordprompts":          "NumberOfPasswordPrompts",
	"obscurekeystroketiming":           "ObscureKeystrokeTiming",
	"passwordauthentication":           "PasswordAuthentication",
	"permitlocalcommand":               "PermitLocalCommand",
	"permitremoteopen":                 "PermitRemoteOpen",
	"pkcs11provider":                   "PKCS11Provider",
	"port":                             "Port",
	"preferredauthentications":         "PreferredAuthentications",
	"proxycommand":                     "ProxyCommand",
	"proxyjump":                        "ProxyJump",
	"proxyusefdpass":                   "ProxyUseFdpass",
	"pubkeyacceptedalgorithms":         "PubkeyAcceptedAlgorithms",
	"pubkeyauthentication":             "PubkeyAuthentication",
	"rekeylimit":                       "RekeyLimit",
	"remotecommand":                    "RemoteCommand",
	"remoteforward":                    "RemoteForward",
	"requesttty":                       "RequestTTY",
	"requiredrsasize":                  "RequiredRSASize",
	"revokedhostkeys":                  "RevokedHostKeys",
	"securitykeyprovider":              "SecurityKeyProvider",
	"sendenv":                          "SendEnv",
	"serveralivecountmax":              "ServerAliveCountMax",
	"serveraliveinterval":              "ServerAliveInterval",
	"sessiontype":                      "SessionType",
	"setenv":                           "SetEnv",
	"stdinnull":                        "StdinNull",
	"streamlocalbindmask":              "StreamLocalBindMask",
	"streamlocalbindunlink":            "StreamLocalBindUnlink",
	"stricthostkeychecking":            "StrictHostKeyChecking",
	"syslogfacility":                   "SyslogFacility",
	"tcpkeepalive":                     "TCPKeepAlive",
	"tag":                              "Tag",
	"tunnel":                           "Tunnel",
	"tunneldevice":                     "TunnelDevice",
	"updatehostkeys":                   "UpdateHostKeys",
	"user":                             "User",
	"userknownhostsfile":               "UserKnownHostsFile",
	"verifyhostkeydns":                 "VerifyHostKeyDNS",
	"visualhostkey":                    "VisualHostKey",
	"xauthlocation":                    "XAuthLocation",
}
