{ fetchurl, fetchgit, linkFarm, runCommand, gnutar }: rec {
  offline_cache = linkFarm "offline" packages;
  packages = [
    {
      name = "_esbuild_aix_ppc64___aix_ppc64_0.25.0.tgz";
      path = fetchurl {
        name = "_esbuild_aix_ppc64___aix_ppc64_0.25.0.tgz";
        url  = "https://registry.yarnpkg.com/@esbuild/aix-ppc64/-/aix-ppc64-0.25.0.tgz";
        sha512 = "O7vun9Sf8DFjH2UtqK8Ku3LkquL9SZL8OLY1T5NZkA34+wG3OQF7cl4Ql8vdNzM6fzBbYfLaiRLIOZ+2FOCgBQ==";
      };
    }
    {
      name = "_esbuild_android_arm64___android_arm64_0.25.0.tgz";
      path = fetchurl {
        name = "_esbuild_android_arm64___android_arm64_0.25.0.tgz";
        url  = "https://registry.yarnpkg.com/@esbuild/android-arm64/-/android-arm64-0.25.0.tgz";
        sha512 = "grvv8WncGjDSyUBjN9yHXNt+cq0snxXbDxy5pJtzMKGmmpPxeAmAhWxXI+01lU5rwZomDgD3kJwulEnhTRUd6g==";
      };
    }
    {
      name = "_esbuild_android_arm___android_arm_0.25.0.tgz";
      path = fetchurl {
        name = "_esbuild_android_arm___android_arm_0.25.0.tgz";
        url  = "https://registry.yarnpkg.com/@esbuild/android-arm/-/android-arm-0.25.0.tgz";
        sha512 = "PTyWCYYiU0+1eJKmw21lWtC+d08JDZPQ5g+kFyxP0V+es6VPPSUhM6zk8iImp2jbV6GwjX4pap0JFbUQN65X1g==";
      };
    }
    {
      name = "_esbuild_android_x64___android_x64_0.25.0.tgz";
      path = fetchurl {
        name = "_esbuild_android_x64___android_x64_0.25.0.tgz";
        url  = "https://registry.yarnpkg.com/@esbuild/android-x64/-/android-x64-0.25.0.tgz";
        sha512 = "m/ix7SfKG5buCnxasr52+LI78SQ+wgdENi9CqyCXwjVR2X4Jkz+BpC3le3AoBPYTC9NHklwngVXvbJ9/Akhrfg==";
      };
    }
    {
      name = "_esbuild_darwin_arm64___darwin_arm64_0.25.0.tgz";
      path = fetchurl {
        name = "_esbuild_darwin_arm64___darwin_arm64_0.25.0.tgz";
        url  = "https://registry.yarnpkg.com/@esbuild/darwin-arm64/-/darwin-arm64-0.25.0.tgz";
        sha512 = "mVwdUb5SRkPayVadIOI78K7aAnPamoeFR2bT5nszFUZ9P8UpK4ratOdYbZZXYSqPKMHfS1wdHCJk1P1EZpRdvw==";
      };
    }
    {
      name = "_esbuild_darwin_x64___darwin_x64_0.25.0.tgz";
      path = fetchurl {
        name = "_esbuild_darwin_x64___darwin_x64_0.25.0.tgz";
        url  = "https://registry.yarnpkg.com/@esbuild/darwin-x64/-/darwin-x64-0.25.0.tgz";
        sha512 = "DgDaYsPWFTS4S3nWpFcMn/33ZZwAAeAFKNHNa1QN0rI4pUjgqf0f7ONmXf6d22tqTY+H9FNdgeaAa+YIFUn2Rg==";
      };
    }
    {
      name = "_esbuild_freebsd_arm64___freebsd_arm64_0.25.0.tgz";
      path = fetchurl {
        name = "_esbuild_freebsd_arm64___freebsd_arm64_0.25.0.tgz";
        url  = "https://registry.yarnpkg.com/@esbuild/freebsd-arm64/-/freebsd-arm64-0.25.0.tgz";
        sha512 = "VN4ocxy6dxefN1MepBx/iD1dH5K8qNtNe227I0mnTRjry8tj5MRk4zprLEdG8WPyAPb93/e4pSgi1SoHdgOa4w==";
      };
    }
    {
      name = "_esbuild_freebsd_x64___freebsd_x64_0.25.0.tgz";
      path = fetchurl {
        name = "_esbuild_freebsd_x64___freebsd_x64_0.25.0.tgz";
        url  = "https://registry.yarnpkg.com/@esbuild/freebsd-x64/-/freebsd-x64-0.25.0.tgz";
        sha512 = "mrSgt7lCh07FY+hDD1TxiTyIHyttn6vnjesnPoVDNmDfOmggTLXRv8Id5fNZey1gl/V2dyVK1VXXqVsQIiAk+A==";
      };
    }
    {
      name = "_esbuild_linux_arm64___linux_arm64_0.25.0.tgz";
      path = fetchurl {
        name = "_esbuild_linux_arm64___linux_arm64_0.25.0.tgz";
        url  = "https://registry.yarnpkg.com/@esbuild/linux-arm64/-/linux-arm64-0.25.0.tgz";
        sha512 = "9QAQjTWNDM/Vk2bgBl17yWuZxZNQIF0OUUuPZRKoDtqF2k4EtYbpyiG5/Dk7nqeK6kIJWPYldkOcBqjXjrUlmg==";
      };
    }
    {
      name = "_esbuild_linux_arm___linux_arm_0.25.0.tgz";
      path = fetchurl {
        name = "_esbuild_linux_arm___linux_arm_0.25.0.tgz";
        url  = "https://registry.yarnpkg.com/@esbuild/linux-arm/-/linux-arm-0.25.0.tgz";
        sha512 = "vkB3IYj2IDo3g9xX7HqhPYxVkNQe8qTK55fraQyTzTX/fxaDtXiEnavv9geOsonh2Fd2RMB+i5cbhu2zMNWJwg==";
      };
    }
    {
      name = "_esbuild_linux_ia32___linux_ia32_0.25.0.tgz";
      path = fetchurl {
        name = "_esbuild_linux_ia32___linux_ia32_0.25.0.tgz";
        url  = "https://registry.yarnpkg.com/@esbuild/linux-ia32/-/linux-ia32-0.25.0.tgz";
        sha512 = "43ET5bHbphBegyeqLb7I1eYn2P/JYGNmzzdidq/w0T8E2SsYL1U6un2NFROFRg1JZLTzdCoRomg8Rvf9M6W6Gg==";
      };
    }
    {
      name = "_esbuild_linux_loong64___linux_loong64_0.25.0.tgz";
      path = fetchurl {
        name = "_esbuild_linux_loong64___linux_loong64_0.25.0.tgz";
        url  = "https://registry.yarnpkg.com/@esbuild/linux-loong64/-/linux-loong64-0.25.0.tgz";
        sha512 = "fC95c/xyNFueMhClxJmeRIj2yrSMdDfmqJnyOY4ZqsALkDrrKJfIg5NTMSzVBr5YW1jf+l7/cndBfP3MSDpoHw==";
      };
    }
    {
      name = "_esbuild_linux_mips64el___linux_mips64el_0.25.0.tgz";
      path = fetchurl {
        name = "_esbuild_linux_mips64el___linux_mips64el_0.25.0.tgz";
        url  = "https://registry.yarnpkg.com/@esbuild/linux-mips64el/-/linux-mips64el-0.25.0.tgz";
        sha512 = "nkAMFju7KDW73T1DdH7glcyIptm95a7Le8irTQNO/qtkoyypZAnjchQgooFUDQhNAy4iu08N79W4T4pMBwhPwQ==";
      };
    }
    {
      name = "_esbuild_linux_ppc64___linux_ppc64_0.25.0.tgz";
      path = fetchurl {
        name = "_esbuild_linux_ppc64___linux_ppc64_0.25.0.tgz";
        url  = "https://registry.yarnpkg.com/@esbuild/linux-ppc64/-/linux-ppc64-0.25.0.tgz";
        sha512 = "NhyOejdhRGS8Iwv+KKR2zTq2PpysF9XqY+Zk77vQHqNbo/PwZCzB5/h7VGuREZm1fixhs4Q/qWRSi5zmAiO4Fw==";
      };
    }
    {
      name = "_esbuild_linux_riscv64___linux_riscv64_0.25.0.tgz";
      path = fetchurl {
        name = "_esbuild_linux_riscv64___linux_riscv64_0.25.0.tgz";
        url  = "https://registry.yarnpkg.com/@esbuild/linux-riscv64/-/linux-riscv64-0.25.0.tgz";
        sha512 = "5S/rbP5OY+GHLC5qXp1y/Mx//e92L1YDqkiBbO9TQOvuFXM+iDqUNG5XopAnXoRH3FjIUDkeGcY1cgNvnXp/kA==";
      };
    }
    {
      name = "_esbuild_linux_s390x___linux_s390x_0.25.0.tgz";
      path = fetchurl {
        name = "_esbuild_linux_s390x___linux_s390x_0.25.0.tgz";
        url  = "https://registry.yarnpkg.com/@esbuild/linux-s390x/-/linux-s390x-0.25.0.tgz";
        sha512 = "XM2BFsEBz0Fw37V0zU4CXfcfuACMrppsMFKdYY2WuTS3yi8O1nFOhil/xhKTmE1nPmVyvQJjJivgDT+xh8pXJA==";
      };
    }
    {
      name = "_esbuild_linux_x64___linux_x64_0.25.0.tgz";
      path = fetchurl {
        name = "_esbuild_linux_x64___linux_x64_0.25.0.tgz";
        url  = "https://registry.yarnpkg.com/@esbuild/linux-x64/-/linux-x64-0.25.0.tgz";
        sha512 = "9yl91rHw/cpwMCNytUDxwj2XjFpxML0y9HAOH9pNVQDpQrBxHy01Dx+vaMu0N1CKa/RzBD2hB4u//nfc+Sd3Cw==";
      };
    }
    {
      name = "_esbuild_netbsd_arm64___netbsd_arm64_0.25.0.tgz";
      path = fetchurl {
        name = "_esbuild_netbsd_arm64___netbsd_arm64_0.25.0.tgz";
        url  = "https://registry.yarnpkg.com/@esbuild/netbsd-arm64/-/netbsd-arm64-0.25.0.tgz";
        sha512 = "RuG4PSMPFfrkH6UwCAqBzauBWTygTvb1nxWasEJooGSJ/NwRw7b2HOwyRTQIU97Hq37l3npXoZGYMy3b3xYvPw==";
      };
    }
    {
      name = "_esbuild_netbsd_x64___netbsd_x64_0.25.0.tgz";
      path = fetchurl {
        name = "_esbuild_netbsd_x64___netbsd_x64_0.25.0.tgz";
        url  = "https://registry.yarnpkg.com/@esbuild/netbsd-x64/-/netbsd-x64-0.25.0.tgz";
        sha512 = "jl+qisSB5jk01N5f7sPCsBENCOlPiS/xptD5yxOx2oqQfyourJwIKLRA2yqWdifj3owQZCL2sn6o08dBzZGQzA==";
      };
    }
    {
      name = "_esbuild_openbsd_arm64___openbsd_arm64_0.25.0.tgz";
      path = fetchurl {
        name = "_esbuild_openbsd_arm64___openbsd_arm64_0.25.0.tgz";
        url  = "https://registry.yarnpkg.com/@esbuild/openbsd-arm64/-/openbsd-arm64-0.25.0.tgz";
        sha512 = "21sUNbq2r84YE+SJDfaQRvdgznTD8Xc0oc3p3iW/a1EVWeNj/SdUCbm5U0itZPQYRuRTW20fPMWMpcrciH2EJw==";
      };
    }
    {
      name = "_esbuild_openbsd_x64___openbsd_x64_0.25.0.tgz";
      path = fetchurl {
        name = "_esbuild_openbsd_x64___openbsd_x64_0.25.0.tgz";
        url  = "https://registry.yarnpkg.com/@esbuild/openbsd-x64/-/openbsd-x64-0.25.0.tgz";
        sha512 = "2gwwriSMPcCFRlPlKx3zLQhfN/2WjJ2NSlg5TKLQOJdV0mSxIcYNTMhk3H3ulL/cak+Xj0lY1Ym9ysDV1igceg==";
      };
    }
    {
      name = "_esbuild_sunos_x64___sunos_x64_0.25.0.tgz";
      path = fetchurl {
        name = "_esbuild_sunos_x64___sunos_x64_0.25.0.tgz";
        url  = "https://registry.yarnpkg.com/@esbuild/sunos-x64/-/sunos-x64-0.25.0.tgz";
        sha512 = "bxI7ThgLzPrPz484/S9jLlvUAHYMzy6I0XiU1ZMeAEOBcS0VePBFxh1JjTQt3Xiat5b6Oh4x7UC7IwKQKIJRIg==";
      };
    }
    {
      name = "_esbuild_win32_arm64___win32_arm64_0.25.0.tgz";
      path = fetchurl {
        name = "_esbuild_win32_arm64___win32_arm64_0.25.0.tgz";
        url  = "https://registry.yarnpkg.com/@esbuild/win32-arm64/-/win32-arm64-0.25.0.tgz";
        sha512 = "ZUAc2YK6JW89xTbXvftxdnYy3m4iHIkDtK3CLce8wg8M2L+YZhIvO1DKpxrd0Yr59AeNNkTiic9YLf6FTtXWMw==";
      };
    }
    {
      name = "_esbuild_win32_ia32___win32_ia32_0.25.0.tgz";
      path = fetchurl {
        name = "_esbuild_win32_ia32___win32_ia32_0.25.0.tgz";
        url  = "https://registry.yarnpkg.com/@esbuild/win32-ia32/-/win32-ia32-0.25.0.tgz";
        sha512 = "eSNxISBu8XweVEWG31/JzjkIGbGIJN/TrRoiSVZwZ6pkC6VX4Im/WV2cz559/TXLcYbcrDN8JtKgd9DJVIo8GA==";
      };
    }
    {
      name = "_esbuild_win32_x64___win32_x64_0.25.0.tgz";
      path = fetchurl {
        name = "_esbuild_win32_x64___win32_x64_0.25.0.tgz";
        url  = "https://registry.yarnpkg.com/@esbuild/win32-x64/-/win32-x64-0.25.0.tgz";
        sha512 = "ZENoHJBxA20C2zFzh6AI4fT6RraMzjYw4xKWemRTRmRVtN9c5DcH9r/f2ihEkMjOW5eGgrwCslG/+Y/3bL+DHQ==";
      };
    }
    {
      name = "https___registry.npmjs.org__eslint_community_eslint_utils___eslint_utils_4.4.0.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org__eslint_community_eslint_utils___eslint_utils_4.4.0.tgz";
        url  = "https://registry.npmjs.org/@eslint-community/eslint-utils/-/eslint-utils-4.4.0.tgz";
        sha512 = "1/sA4dwrzBAyeUoQ6oxahHKmrZvsnLCg4RfxW3ZFGGmQkSNQPFNLV9CUEFQP1x9EYXHTo5p6xdhZM1Ne9p/AfA==";
      };
    }
    {
      name = "https___registry.npmjs.org__eslint_community_regexpp___regexpp_4.11.1.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org__eslint_community_regexpp___regexpp_4.11.1.tgz";
        url  = "https://registry.npmjs.org/@eslint-community/regexpp/-/regexpp-4.11.1.tgz";
        sha512 = "m4DVN9ZqskZoLU5GlWZadwDnYo3vAEydiUayB9widCl9ffWx2IvPnp6n3on5rJmziJSw9Bv+Z3ChDVdMwXCY8Q==";
      };
    }
    {
      name = "_eslint_community_regexpp___regexpp_4.12.1.tgz";
      path = fetchurl {
        name = "_eslint_community_regexpp___regexpp_4.12.1.tgz";
        url  = "https://registry.yarnpkg.com/@eslint-community/regexpp/-/regexpp-4.12.1.tgz";
        sha512 = "CCZCDJuduB9OUkFkY2IgppNZMi2lBQgD2qzwXkEia16cge2pijY/aXi96CJMquDMn3nJdlPV1A5KrJEXwfLNzQ==";
      };
    }
    {
      name = "_eslint_config_array___config_array_0.19.2.tgz";
      path = fetchurl {
        name = "_eslint_config_array___config_array_0.19.2.tgz";
        url  = "https://registry.yarnpkg.com/@eslint/config-array/-/config-array-0.19.2.tgz";
        sha512 = "GNKqxfHG2ySmJOBSHg7LxeUx4xpuCoFjacmlCoYWEbaPXLwvfIjixRI12xCQZeULksQb23uiA8F40w5TojpV7w==";
      };
    }
    {
      name = "_eslint_core___core_0.10.0.tgz";
      path = fetchurl {
        name = "_eslint_core___core_0.10.0.tgz";
        url  = "https://registry.yarnpkg.com/@eslint/core/-/core-0.10.0.tgz";
        sha512 = "gFHJ+xBOo4G3WRlR1e/3G8A6/KZAH6zcE/hkLRCZTi/B9avAG365QhFA8uOGzTMqgTghpn7/fSnscW++dpMSAw==";
      };
    }
    {
      name = "_eslint_core___core_0.11.0.tgz";
      path = fetchurl {
        name = "_eslint_core___core_0.11.0.tgz";
        url  = "https://registry.yarnpkg.com/@eslint/core/-/core-0.11.0.tgz";
        sha512 = "DWUB2pksgNEb6Bz2fggIy1wh6fGgZP4Xyy/Mt0QZPiloKKXerbqq9D3SBQTlCRYOrcRPu4vuz+CGjwdfqxnoWA==";
      };
    }
    {
      name = "_eslint_eslintrc___eslintrc_3.2.0.tgz";
      path = fetchurl {
        name = "_eslint_eslintrc___eslintrc_3.2.0.tgz";
        url  = "https://registry.yarnpkg.com/@eslint/eslintrc/-/eslintrc-3.2.0.tgz";
        sha512 = "grOjVNN8P3hjJn/eIETF1wwd12DdnwFDoyceUJLYYdkpbwq3nLi+4fqrTAONx7XDALqlL220wC/RHSC/QTI/0w==";
      };
    }
    {
      name = "_eslint_js___js_9.20.0.tgz";
      path = fetchurl {
        name = "_eslint_js___js_9.20.0.tgz";
        url  = "https://registry.yarnpkg.com/@eslint/js/-/js-9.20.0.tgz";
        sha512 = "iZA07H9io9Wn836aVTytRaNqh00Sad+EamwOVJT12GTLw1VGMFV/4JaME+JjLtr9fiGaoWgYnS54wrfWsSs4oQ==";
      };
    }
    {
      name = "_eslint_object_schema___object_schema_2.1.6.tgz";
      path = fetchurl {
        name = "_eslint_object_schema___object_schema_2.1.6.tgz";
        url  = "https://registry.yarnpkg.com/@eslint/object-schema/-/object-schema-2.1.6.tgz";
        sha512 = "RBMg5FRL0I0gs51M/guSAj5/e14VQ4tpZnQNWwuDT66P14I43ItmPfIZRhO9fUVIPOAQXU47atlywZ/czoqFPA==";
      };
    }
    {
      name = "_eslint_plugin_kit___plugin_kit_0.2.5.tgz";
      path = fetchurl {
        name = "_eslint_plugin_kit___plugin_kit_0.2.5.tgz";
        url  = "https://registry.yarnpkg.com/@eslint/plugin-kit/-/plugin-kit-0.2.5.tgz";
        sha512 = "lB05FkqEdUg2AA0xEbUz0SnkXT1LcCTa438W4IWTUh4hdOnVbQyOJ81OrDXsJk/LSiJHubgGEFoR5EHq1NsH1A==";
      };
    }
    {
      name = "_humanfs_core___core_0.19.1.tgz";
      path = fetchurl {
        name = "_humanfs_core___core_0.19.1.tgz";
        url  = "https://registry.yarnpkg.com/@humanfs/core/-/core-0.19.1.tgz";
        sha512 = "5DyQ4+1JEUzejeK1JGICcideyfUbGixgS9jNgex5nqkW+cY7WZhxBigmieN5Qnw9ZosSNVC9KQKyb+GUaGyKUA==";
      };
    }
    {
      name = "_humanfs_node___node_0.16.6.tgz";
      path = fetchurl {
        name = "_humanfs_node___node_0.16.6.tgz";
        url  = "https://registry.yarnpkg.com/@humanfs/node/-/node-0.16.6.tgz";
        sha512 = "YuI2ZHQL78Q5HbhDiBA1X4LmYdXCKCMQIfw0pw7piHJwyREFebJUvrQN4cMssyES6x+vfUbx1CIpaQUKYdQZOw==";
      };
    }
    {
      name = "https___registry.npmjs.org__humanwhocodes_module_importer___module_importer_1.0.1.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org__humanwhocodes_module_importer___module_importer_1.0.1.tgz";
        url  = "https://registry.npmjs.org/@humanwhocodes/module-importer/-/module-importer-1.0.1.tgz";
        sha512 = "bxveV4V8v5Yb4ncFTT3rPSgZBOpCkjfK0y4oVVVJwIuDVBRMDXrPyXRL988i5ap9m9bnyEEjWfm5WkBmtffLfA==";
      };
    }
    {
      name = "https___registry.npmjs.org__humanwhocodes_retry___retry_0.3.0.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org__humanwhocodes_retry___retry_0.3.0.tgz";
        url  = "https://registry.npmjs.org/@humanwhocodes/retry/-/retry-0.3.0.tgz";
        sha512 = "d2CGZR2o7fS6sWB7DG/3a95bGKQyHMACZ5aW8qGkkqQpUoZV6C0X7Pc7l4ZNMZkfNBf4VWNe9E1jRsf0G146Ew==";
      };
    }
    {
      name = "_humanwhocodes_retry___retry_0.4.1.tgz";
      path = fetchurl {
        name = "_humanwhocodes_retry___retry_0.4.1.tgz";
        url  = "https://registry.yarnpkg.com/@humanwhocodes/retry/-/retry-0.4.1.tgz";
        sha512 = "c7hNEllBlenFTHBky65mhq8WD2kbN9Q6gk0bTk8lSBvc554jpXSkST1iePudpt7+A/AQvuHs9EMqjHDXMY1lrA==";
      };
    }
    {
      name = "https___registry.npmjs.org__nodelib_fs.scandir___fs.scandir_2.1.5.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org__nodelib_fs.scandir___fs.scandir_2.1.5.tgz";
        url  = "https://registry.npmjs.org/@nodelib/fs.scandir/-/fs.scandir-2.1.5.tgz";
        sha512 = "vq24Bq3ym5HEQm2NKCr3yXDwjc7vTsEThRDnkp2DK9p1uqLR+DHurm/NOTo0KG7HYHU7eppKZj3MyqYuMBf62g==";
      };
    }
    {
      name = "https___registry.npmjs.org__nodelib_fs.stat___fs.stat_2.0.5.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org__nodelib_fs.stat___fs.stat_2.0.5.tgz";
        url  = "https://registry.npmjs.org/@nodelib/fs.stat/-/fs.stat-2.0.5.tgz";
        sha512 = "RkhPPp2zrqDAQA/2jNhnztcPAlv64XdhIp7a7454A5ovI7Bukxgt7MX7udwAu3zg1DcpPU0rz3VV1SeaqvY4+A==";
      };
    }
    {
      name = "https___registry.npmjs.org__nodelib_fs.walk___fs.walk_1.2.8.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org__nodelib_fs.walk___fs.walk_1.2.8.tgz";
        url  = "https://registry.npmjs.org/@nodelib/fs.walk/-/fs.walk-1.2.8.tgz";
        sha512 = "oGB+UxlgWcgQkgwo8GcEGwemoTFt3FIO9ababBmaGwXIoBKZ+GTy0pP185beGg7Llih/NSHSV2XAs1lnznocSg==";
      };
    }
    {
      name = "https___registry.npmjs.org__types_estree___estree_1.0.6.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org__types_estree___estree_1.0.6.tgz";
        url  = "https://registry.npmjs.org/@types/estree/-/estree-1.0.6.tgz";
        sha512 = "AYnb1nQyY49te+VRAVgmzfcgjYS91mY5P0TKUDCLEM+gNnA+3T6rWITXRLYCpahpqSQbN5cE+gHpnPyXjHWxcw==";
      };
    }
    {
      name = "https___registry.npmjs.org__types_json_schema___json_schema_7.0.15.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org__types_json_schema___json_schema_7.0.15.tgz";
        url  = "https://registry.npmjs.org/@types/json-schema/-/json-schema-7.0.15.tgz";
        sha512 = "5+fP8P8MFNC+AyZCDxrB2pkZFPGzqQWUzpSeuuVLvm8VMcorNYavBqoFcxK8bQz4Qsbn4oUEEem4wDLfcysGHA==";
      };
    }
    {
      name = "https___registry.npmjs.org__types_mocha___mocha_5.2.7.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org__types_mocha___mocha_5.2.7.tgz";
        url  = "https://registry.npmjs.org/@types/mocha/-/mocha-5.2.7.tgz";
        sha512 = "NYrtPht0wGzhwe9+/idPaBB+TqkY9AhTvOLMkThm0IoEfLaiVQZwBwyJ5puCkO3AUCWrmcoePjp2mbFocKy4SQ==";
      };
    }
    {
      name = "_types_node___node_22.13.2.tgz";
      path = fetchurl {
        name = "_types_node___node_22.13.2.tgz";
        url  = "https://registry.yarnpkg.com/@types/node/-/node-22.13.2.tgz";
        sha512 = "Z+r8y3XL9ZpI2EY52YYygAFmo2/oWfNSj4BCpAXE2McAexDk8VcnBMGC9Djn9gTKt4d2T/hhXqmPzo4hfIXtTg==";
      };
    }
    {
      name = "https___registry.npmjs.org__types_vscode___vscode_1.94.0.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org__types_vscode___vscode_1.94.0.tgz";
        url  = "https://registry.npmjs.org/@types/vscode/-/vscode-1.94.0.tgz";
        sha512 = "UyQOIUT0pb14XSqJskYnRwD2aG0QrPVefIfrW1djR+/J4KeFQ0i1+hjZoaAmeNf3Z2jleK+R2hv+EboG/m8ruw==";
      };
    }
    {
      name = "https___registry.npmjs.org__typescript_eslint_eslint_plugin___eslint_plugin_7.18.0.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org__typescript_eslint_eslint_plugin___eslint_plugin_7.18.0.tgz";
        url  = "https://registry.npmjs.org/@typescript-eslint/eslint-plugin/-/eslint-plugin-7.18.0.tgz";
        sha512 = "94EQTWZ40mzBc42ATNIBimBEDltSJ9RQHCC8vc/PDbxi4k8dVwUAv4o98dk50M1zB+JGFxp43FP7f8+FP8R6Sw==";
      };
    }
    {
      name = "https___registry.npmjs.org__typescript_eslint_parser___parser_7.18.0.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org__typescript_eslint_parser___parser_7.18.0.tgz";
        url  = "https://registry.npmjs.org/@typescript-eslint/parser/-/parser-7.18.0.tgz";
        sha512 = "4Z+L8I2OqhZV8qA132M4wNL30ypZGYOQVBfMgxDH/K5UX0PNqTu1c6za9ST5r9+tavvHiTWmBnKzpCJ/GlVFtg==";
      };
    }
    {
      name = "https___registry.npmjs.org__typescript_eslint_scope_manager___scope_manager_7.18.0.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org__typescript_eslint_scope_manager___scope_manager_7.18.0.tgz";
        url  = "https://registry.npmjs.org/@typescript-eslint/scope-manager/-/scope-manager-7.18.0.tgz";
        sha512 = "jjhdIE/FPF2B7Z1uzc6i3oWKbGcHb87Qw7AWj6jmEqNOfDFbJWtjt/XfwCpvNkpGWlcJaog5vTR+VV8+w9JflA==";
      };
    }
    {
      name = "https___registry.npmjs.org__typescript_eslint_type_utils___type_utils_7.18.0.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org__typescript_eslint_type_utils___type_utils_7.18.0.tgz";
        url  = "https://registry.npmjs.org/@typescript-eslint/type-utils/-/type-utils-7.18.0.tgz";
        sha512 = "XL0FJXuCLaDuX2sYqZUUSOJ2sG5/i1AAze+axqmLnSkNEVMVYLF+cbwlB2w8D1tinFuSikHmFta+P+HOofrLeA==";
      };
    }
    {
      name = "https___registry.npmjs.org__typescript_eslint_types___types_7.18.0.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org__typescript_eslint_types___types_7.18.0.tgz";
        url  = "https://registry.npmjs.org/@typescript-eslint/types/-/types-7.18.0.tgz";
        sha512 = "iZqi+Ds1y4EDYUtlOOC+aUmxnE9xS/yCigkjA7XpTKV6nCBd3Hp/PRGGmdwnfkV2ThMyYldP1wRpm/id99spTQ==";
      };
    }
    {
      name = "https___registry.npmjs.org__typescript_eslint_typescript_estree___typescript_estree_7.18.0.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org__typescript_eslint_typescript_estree___typescript_estree_7.18.0.tgz";
        url  = "https://registry.npmjs.org/@typescript-eslint/typescript-estree/-/typescript-estree-7.18.0.tgz";
        sha512 = "aP1v/BSPnnyhMHts8cf1qQ6Q1IFwwRvAQGRvBFkWlo3/lH29OXA3Pts+c10nxRxIBrDnoMqzhgdwVe5f2D6OzA==";
      };
    }
    {
      name = "https___registry.npmjs.org__typescript_eslint_utils___utils_7.18.0.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org__typescript_eslint_utils___utils_7.18.0.tgz";
        url  = "https://registry.npmjs.org/@typescript-eslint/utils/-/utils-7.18.0.tgz";
        sha512 = "kK0/rNa2j74XuHVcoCZxdFBMF+aq/vH83CXAOHieC+2Gis4mF8jJXT5eAfyD3K0sAxtPuwxaIOIOvhwzVDt/kw==";
      };
    }
    {
      name = "https___registry.npmjs.org__typescript_eslint_visitor_keys___visitor_keys_7.18.0.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org__typescript_eslint_visitor_keys___visitor_keys_7.18.0.tgz";
        url  = "https://registry.npmjs.org/@typescript-eslint/visitor-keys/-/visitor-keys-7.18.0.tgz";
        sha512 = "cDF0/Gf81QpY3xYyJKDV14Zwdmid5+uuENhjH2EqFaF0ni+yAyq/LzMaIJdhNJXZI7uLzwIlA+V7oWoyn6Curg==";
      };
    }
    {
      name = "https___registry.npmjs.org_acorn_jsx___acorn_jsx_5.3.2.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_acorn_jsx___acorn_jsx_5.3.2.tgz";
        url  = "https://registry.npmjs.org/acorn-jsx/-/acorn-jsx-5.3.2.tgz";
        sha512 = "rq9s+JNhf0IChjtDXxllJ7g41oZk5SlXtp0LHwyA5cejwn7vKmKp4pPri6YEePv2PU65sAsegbXtIinmDFDXgQ==";
      };
    }
    {
      name = "https___registry.npmjs.org_acorn___acorn_8.12.1.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_acorn___acorn_8.12.1.tgz";
        url  = "https://registry.npmjs.org/acorn/-/acorn-8.12.1.tgz";
        sha512 = "tcpGyI9zbizT9JbV6oYE477V6mTlXvvi0T0G3SNIYE2apm/G5huBa1+K89VGeovbg+jycCrfhl3ADxErOuO6Jg==";
      };
    }
    {
      name = "acorn___acorn_8.14.0.tgz";
      path = fetchurl {
        name = "acorn___acorn_8.14.0.tgz";
        url  = "https://registry.yarnpkg.com/acorn/-/acorn-8.14.0.tgz";
        sha512 = "cl669nCJTZBsL97OF4kUQm5g5hC2uihk0NxY3WENAC0TYdILVkAyHymAntgxGkl7K+t0cXIrH5siy5S4XkFycA==";
      };
    }
    {
      name = "https___registry.npmjs.org_ajv___ajv_6.12.6.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_ajv___ajv_6.12.6.tgz";
        url  = "https://registry.npmjs.org/ajv/-/ajv-6.12.6.tgz";
        sha512 = "j3fVLgvTo527anyYyJOGTYJbG+vnnQYvE0m5mmkc1TK+nxAppkCLMIL0aZ4dblVCNoGShhm+kzE4ZUykBoMg4g==";
      };
    }
    {
      name = "https___registry.npmjs.org_ansi_styles___ansi_styles_4.3.0.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_ansi_styles___ansi_styles_4.3.0.tgz";
        url  = "https://registry.npmjs.org/ansi-styles/-/ansi-styles-4.3.0.tgz";
        sha512 = "zbB9rCJAT1rbjiVDb2hqKFHNYLxgtk8NURxZ3IZwD3F6NtxbXZQCnnSi1Lkx+IDohdPlFp222wVALIheZJQSEg==";
      };
    }
    {
      name = "https___registry.npmjs.org_argparse___argparse_2.0.1.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_argparse___argparse_2.0.1.tgz";
        url  = "https://registry.npmjs.org/argparse/-/argparse-2.0.1.tgz";
        sha512 = "8+9WqebbFzpX9OR+Wa6O29asIogeRMzcGtAINdpMHHyAg10f05aSFVBbcEqGf/PXw1EjAZ+q2/bEBg3DvurK3Q==";
      };
    }
    {
      name = "https___registry.npmjs.org_array_union___array_union_2.1.0.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_array_union___array_union_2.1.0.tgz";
        url  = "https://registry.npmjs.org/array-union/-/array-union-2.1.0.tgz";
        sha512 = "HGyxoOTYUyCM6stUe6EJgnd4EoewAI7zMdfqO+kGjnlZmBDz/cR5pf8r/cR4Wq60sL/p0IkcjUEEPwS3GFrIyw==";
      };
    }
    {
      name = "https___registry.npmjs.org_balanced_match___balanced_match_1.0.2.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_balanced_match___balanced_match_1.0.2.tgz";
        url  = "https://registry.npmjs.org/balanced-match/-/balanced-match-1.0.2.tgz";
        sha512 = "3oSeUO0TMV67hN1AmbXsK4yaqU7tjiHlbxRDZOpH0KW9+CeX4bRAaX0Anxt0tx2MrpRpWwQaPwIlISEJhYU5Pw==";
      };
    }
    {
      name = "https___registry.npmjs.org_brace_expansion___brace_expansion_1.1.11.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_brace_expansion___brace_expansion_1.1.11.tgz";
        url  = "https://registry.npmjs.org/brace-expansion/-/brace-expansion-1.1.11.tgz";
        sha512 = "iCuPHDFgrHX7H2vEI/5xpz07zSHB00TpugqhmYtVmMO6518mCuRMoOYFldEBl0g187ufozdaHgWKcYFb61qGiA==";
      };
    }
    {
      name = "https___registry.npmjs.org_brace_expansion___brace_expansion_2.0.1.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_brace_expansion___brace_expansion_2.0.1.tgz";
        url  = "https://registry.npmjs.org/brace-expansion/-/brace-expansion-2.0.1.tgz";
        sha512 = "XnAIvQ8eM+kC6aULx6wuQiwVsnzsi9d3WxzV3FpWTGA19F621kwdbsAcFKXgKUHZWsy+mY6iL1sHTxWEFCytDA==";
      };
    }
    {
      name = "https___registry.npmjs.org_braces___braces_3.0.3.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_braces___braces_3.0.3.tgz";
        url  = "https://registry.npmjs.org/braces/-/braces-3.0.3.tgz";
        sha512 = "yQbXgO/OSZVD2IsiLlro+7Hf6Q18EJrKSEsdoMzKePKXct3gvD8oLcOQdIzGupr5Fj+EDe8gO/lxc1BzfMpxvA==";
      };
    }
    {
      name = "https___registry.npmjs.org_callsites___callsites_3.1.0.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_callsites___callsites_3.1.0.tgz";
        url  = "https://registry.npmjs.org/callsites/-/callsites-3.1.0.tgz";
        sha512 = "P8BjAsXvZS+VIDUI11hHCQEv74YT67YUi5JJFNWIqL235sBmjX4+qx9Muvls5ivyNENctx46xQLQ3aTuE7ssaQ==";
      };
    }
    {
      name = "https___registry.npmjs.org_chalk___chalk_4.1.2.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_chalk___chalk_4.1.2.tgz";
        url  = "https://registry.npmjs.org/chalk/-/chalk-4.1.2.tgz";
        sha512 = "oKnbhFyRIXpUuez8iBMmyEa4nbj4IOQyuhc/wy9kY7/WVPcwIO9VA668Pu8RkO7+0G76SLROeyw9CpQ061i4mA==";
      };
    }
    {
      name = "https___registry.npmjs.org_color_convert___color_convert_2.0.1.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_color_convert___color_convert_2.0.1.tgz";
        url  = "https://registry.npmjs.org/color-convert/-/color-convert-2.0.1.tgz";
        sha512 = "RRECPsj7iu/xb5oKYcsFHSppFNnsj/52OVTRKb4zP5onXwVF3zVmmToNcOfGC+CRDpfK/U584fMg38ZHCaElKQ==";
      };
    }
    {
      name = "https___registry.npmjs.org_color_name___color_name_1.1.4.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_color_name___color_name_1.1.4.tgz";
        url  = "https://registry.npmjs.org/color-name/-/color-name-1.1.4.tgz";
        sha512 = "dOy+3AuW3a2wNbZHIuMZpTcgjGuLU/uBL/ubcZF9OXbDo8ff4O8yVp5Bf0efS8uEoYo5q4Fx7dY9OgQGXgAsQA==";
      };
    }
    {
      name = "https___registry.npmjs.org_concat_map___concat_map_0.0.1.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_concat_map___concat_map_0.0.1.tgz";
        url  = "https://registry.npmjs.org/concat-map/-/concat-map-0.0.1.tgz";
        sha512 = "/Srv4dswyQNBfohGpz9o6Yb3Gz3SrUDqBH5rTuhGR7ahtlbYKnVxw2bCFMRljaA7EXHaXZ8wsHdodFvbkhKmqg==";
      };
    }
    {
      name = "cross_spawn___cross_spawn_7.0.6.tgz";
      path = fetchurl {
        name = "cross_spawn___cross_spawn_7.0.6.tgz";
        url  = "https://registry.yarnpkg.com/cross-spawn/-/cross-spawn-7.0.6.tgz";
        sha512 = "uV2QOWP2nWzsy2aMp8aRibhi9dlzF5Hgh5SHaB9OiTGEyDTiJJyx0uy51QXdyWbtAHNua4XJzUKca3OzKUd3vA==";
      };
    }
    {
      name = "https___registry.npmjs.org_debug___debug_4.3.7.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_debug___debug_4.3.7.tgz";
        url  = "https://registry.npmjs.org/debug/-/debug-4.3.7.tgz";
        sha512 = "Er2nc/H7RrMXZBFCEim6TCmMk02Z8vLC2Rbi1KEBggpo0fS6l0S1nnapwmIi3yW/+GOJap1Krg4w0Hg80oCqgQ==";
      };
    }
    {
      name = "https___registry.npmjs.org_deep_is___deep_is_0.1.4.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_deep_is___deep_is_0.1.4.tgz";
        url  = "https://registry.npmjs.org/deep-is/-/deep-is-0.1.4.tgz";
        sha512 = "oIPzksmTg4/MriiaYGO+okXDT7ztn/w3Eptv/+gSIdMdKsJo0u4CfYNFJPy+4SKMuCqGw2wxnA+URMg3t8a/bQ==";
      };
    }
    {
      name = "https___registry.npmjs.org_dir_glob___dir_glob_3.0.1.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_dir_glob___dir_glob_3.0.1.tgz";
        url  = "https://registry.npmjs.org/dir-glob/-/dir-glob-3.0.1.tgz";
        sha512 = "WkrWp9GR4KXfKGYzOLmTuGVi1UWFfws377n9cc55/tb6DuqyF6pcQ5AbiHEshaDpY9v6oaSr2XCDidGmMwdzIA==";
      };
    }
    {
      name = "esbuild___esbuild_0.25.0.tgz";
      path = fetchurl {
        name = "esbuild___esbuild_0.25.0.tgz";
        url  = "https://registry.yarnpkg.com/esbuild/-/esbuild-0.25.0.tgz";
        sha512 = "BXq5mqc8ltbaN34cDqWuYKyNhX8D/Z0J1xdtdQ8UcIIIyJyz+ZMKUt58tF3SrZ85jcfN/PZYhjR5uDQAYNVbuw==";
      };
    }
    {
      name = "https___registry.npmjs.org_escape_string_regexp___escape_string_regexp_4.0.0.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_escape_string_regexp___escape_string_regexp_4.0.0.tgz";
        url  = "https://registry.npmjs.org/escape-string-regexp/-/escape-string-regexp-4.0.0.tgz";
        sha512 = "TtpcNJ3XAzx3Gq8sWRzJaVajRs0uVxA2YAkdb1jm2YkPz4G6egUFAyA3n5vtEIZefPk5Wa4UXbKuS5fKkJWdgA==";
      };
    }
    {
      name = "eslint_scope___eslint_scope_8.2.0.tgz";
      path = fetchurl {
        name = "eslint_scope___eslint_scope_8.2.0.tgz";
        url  = "https://registry.yarnpkg.com/eslint-scope/-/eslint-scope-8.2.0.tgz";
        sha512 = "PHlWUfG6lvPc3yvP5A4PNyBL1W8fkDUccmI21JUu/+GKZBoH/W5u6usENXUrWFRsyoW5ACUjFGgAFQp5gUlb/A==";
      };
    }
    {
      name = "https___registry.npmjs.org_eslint_visitor_keys___eslint_visitor_keys_3.4.3.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_eslint_visitor_keys___eslint_visitor_keys_3.4.3.tgz";
        url  = "https://registry.npmjs.org/eslint-visitor-keys/-/eslint-visitor-keys-3.4.3.tgz";
        sha512 = "wpc+LXeiyiisxPlEkUzU6svyS1frIO3Mgxj1fdy7Pm8Ygzguax2N3Fa/D/ag1WqbOprdI+uY6wMUl8/a2G+iag==";
      };
    }
    {
      name = "https___registry.npmjs.org_eslint_visitor_keys___eslint_visitor_keys_4.1.0.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_eslint_visitor_keys___eslint_visitor_keys_4.1.0.tgz";
        url  = "https://registry.npmjs.org/eslint-visitor-keys/-/eslint-visitor-keys-4.1.0.tgz";
        sha512 = "Q7lok0mqMUSf5a/AdAZkA5a/gHcO6snwQClVNNvFKCAVlxXucdU8pKydU5ZVZjBx5xr37vGbFFWtLQYreLzrZg==";
      };
    }
    {
      name = "eslint_visitor_keys___eslint_visitor_keys_4.2.0.tgz";
      path = fetchurl {
        name = "eslint_visitor_keys___eslint_visitor_keys_4.2.0.tgz";
        url  = "https://registry.yarnpkg.com/eslint-visitor-keys/-/eslint-visitor-keys-4.2.0.tgz";
        sha512 = "UyLnSehNt62FFhSwjZlHmeokpRK59rcz29j+F1/aDgbkbRTk7wIc9XzdoasMUbRNKDM0qQt/+BJ4BrpFeABemw==";
      };
    }
    {
      name = "eslint___eslint_9.20.1.tgz";
      path = fetchurl {
        name = "eslint___eslint_9.20.1.tgz";
        url  = "https://registry.yarnpkg.com/eslint/-/eslint-9.20.1.tgz";
        sha512 = "m1mM33o6dBUjxl2qb6wv6nGNwCAsns1eKtaQ4l/NPHeTvhiUPbtdfMyktxN4B3fgHIgsYh1VT3V9txblpQHq+g==";
      };
    }
    {
      name = "https___registry.npmjs.org_espree___espree_10.2.0.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_espree___espree_10.2.0.tgz";
        url  = "https://registry.npmjs.org/espree/-/espree-10.2.0.tgz";
        sha512 = "upbkBJbckcCNBDBDXEbuhjbP68n+scUd3k/U2EkyM9nw+I/jPiL4cLF/Al06CF96wRltFda16sxDFrxsI1v0/g==";
      };
    }
    {
      name = "espree___espree_10.3.0.tgz";
      path = fetchurl {
        name = "espree___espree_10.3.0.tgz";
        url  = "https://registry.yarnpkg.com/espree/-/espree-10.3.0.tgz";
        sha512 = "0QYC8b24HWY8zjRnDTL6RiHfDbAWn63qb4LMj1Z4b076A4une81+z03Kg7l7mn/48PUTqoLptSXez8oknU8Clg==";
      };
    }
    {
      name = "https___registry.npmjs.org_esquery___esquery_1.6.0.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_esquery___esquery_1.6.0.tgz";
        url  = "https://registry.npmjs.org/esquery/-/esquery-1.6.0.tgz";
        sha512 = "ca9pw9fomFcKPvFLXhBKUK90ZvGibiGOvRJNbjljY7s7uq/5YO4BOzcYtJqExdx99rF6aAcnRxHmcUHcz6sQsg==";
      };
    }
    {
      name = "https___registry.npmjs.org_esrecurse___esrecurse_4.3.0.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_esrecurse___esrecurse_4.3.0.tgz";
        url  = "https://registry.npmjs.org/esrecurse/-/esrecurse-4.3.0.tgz";
        sha512 = "KmfKL3b6G+RXvP8N1vr3Tq1kL/oCFgn2NYXEtqP8/L3pKapUA4G8cFVaoF3SU323CD4XypR/ffioHmkti6/Tag==";
      };
    }
    {
      name = "https___registry.npmjs.org_estraverse___estraverse_5.3.0.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_estraverse___estraverse_5.3.0.tgz";
        url  = "https://registry.npmjs.org/estraverse/-/estraverse-5.3.0.tgz";
        sha512 = "MMdARuVEQziNTeJD8DgMqmhwR11BRQ/cBP+pLtYdSTnf3MIO8fFeiINEbX36ZdNlfU/7A9f3gUw49B3oQsvwBA==";
      };
    }
    {
      name = "https___registry.npmjs.org_esutils___esutils_2.0.3.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_esutils___esutils_2.0.3.tgz";
        url  = "https://registry.npmjs.org/esutils/-/esutils-2.0.3.tgz";
        sha512 = "kVscqXk4OCp68SZ0dkgEKVi6/8ij300KBWTJq32P/dYeWTSwK41WyTxalN1eRmA5Z9UU/LX9D7FWSmV9SAYx6g==";
      };
    }
    {
      name = "https___registry.npmjs.org_fast_deep_equal___fast_deep_equal_3.1.3.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_fast_deep_equal___fast_deep_equal_3.1.3.tgz";
        url  = "https://registry.npmjs.org/fast-deep-equal/-/fast-deep-equal-3.1.3.tgz";
        sha512 = "f3qQ9oQy9j2AhBe/H9VC91wLmKBCCU/gDOnKNAYG5hswO7BLKj09Hc5HYNz9cGI++xlpDCIgDaitVs03ATR84Q==";
      };
    }
    {
      name = "https___registry.npmjs.org_fast_glob___fast_glob_3.3.2.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_fast_glob___fast_glob_3.3.2.tgz";
        url  = "https://registry.npmjs.org/fast-glob/-/fast-glob-3.3.2.tgz";
        sha512 = "oX2ruAFQwf/Orj8m737Y5adxDQO0LAB7/S5MnxCdTNDd4p6BsyIVsv9JQsATbTSq8KHRpLwIHbVlUNatxd+1Ow==";
      };
    }
    {
      name = "https___registry.npmjs.org_fast_json_stable_stringify___fast_json_stable_stringify_2.1.0.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_fast_json_stable_stringify___fast_json_stable_stringify_2.1.0.tgz";
        url  = "https://registry.npmjs.org/fast-json-stable-stringify/-/fast-json-stable-stringify-2.1.0.tgz";
        sha512 = "lhd/wF+Lk98HZoTCtlVraHtfh5XYijIjalXck7saUtuanSDyLMxnHhSXEDJqHxD7msR8D0uCmqlkwjCV8xvwHw==";
      };
    }
    {
      name = "https___registry.npmjs.org_fast_levenshtein___fast_levenshtein_2.0.6.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_fast_levenshtein___fast_levenshtein_2.0.6.tgz";
        url  = "https://registry.npmjs.org/fast-levenshtein/-/fast-levenshtein-2.0.6.tgz";
        sha512 = "DCXu6Ifhqcks7TZKY3Hxp3y6qphY5SJZmrWMDrKcERSOXWQdMhU9Ig/PYrzyw/ul9jOIyh0N4M0tbC5hodg8dw==";
      };
    }
    {
      name = "https___registry.npmjs.org_fastq___fastq_1.17.1.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_fastq___fastq_1.17.1.tgz";
        url  = "https://registry.npmjs.org/fastq/-/fastq-1.17.1.tgz";
        sha512 = "sRVD3lWVIXWg6By68ZN7vho9a1pQcN/WBFaAAsDDFzlJjvoGx0P8z7V1t72grFJfJhu3YPZBuu25f7Kaw2jN1w==";
      };
    }
    {
      name = "https___registry.npmjs.org_file_entry_cache___file_entry_cache_8.0.0.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_file_entry_cache___file_entry_cache_8.0.0.tgz";
        url  = "https://registry.npmjs.org/file-entry-cache/-/file-entry-cache-8.0.0.tgz";
        sha512 = "XXTUwCvisa5oacNGRP9SfNtYBNAMi+RPwBFmblZEF7N7swHYQS6/Zfk7SRwx4D5j3CH211YNRco1DEMNVfZCnQ==";
      };
    }
    {
      name = "https___registry.npmjs.org_fill_range___fill_range_7.1.1.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_fill_range___fill_range_7.1.1.tgz";
        url  = "https://registry.npmjs.org/fill-range/-/fill-range-7.1.1.tgz";
        sha512 = "YsGpe3WHLK8ZYi4tWDg2Jy3ebRz2rXowDxnld4bkQB00cc/1Zw9AWnC0i9ztDJitivtQvaI9KaLyKrc+hBW0yg==";
      };
    }
    {
      name = "https___registry.npmjs.org_find_up___find_up_5.0.0.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_find_up___find_up_5.0.0.tgz";
        url  = "https://registry.npmjs.org/find-up/-/find-up-5.0.0.tgz";
        sha512 = "78/PXT1wlLLDgTzDs7sjq9hzz0vXD+zn+7wypEe4fXQxCmdmqfGsEPQxmiCSQI3ajFV91bVSsvNtrJRiW6nGng==";
      };
    }
    {
      name = "https___registry.npmjs.org_flat_cache___flat_cache_4.0.1.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_flat_cache___flat_cache_4.0.1.tgz";
        url  = "https://registry.npmjs.org/flat-cache/-/flat-cache-4.0.1.tgz";
        sha512 = "f7ccFPK3SXFHpx15UIGyRJ/FJQctuKZ0zVuN3frBo4HnK3cay9VEW0R6yPYFHC0AgqhukPzKjq22t5DmAyqGyw==";
      };
    }
    {
      name = "https___registry.npmjs.org_flatted___flatted_3.3.1.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_flatted___flatted_3.3.1.tgz";
        url  = "https://registry.npmjs.org/flatted/-/flatted-3.3.1.tgz";
        sha512 = "X8cqMLLie7KsNUDSdzeN8FYK9rEt4Dt67OsG/DNGnYTSDBG4uFAJFBnUeiV+zCVAvwFy56IjM9sH51jVaEhNxw==";
      };
    }
    {
      name = "https___registry.npmjs.org_glob_parent___glob_parent_5.1.2.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_glob_parent___glob_parent_5.1.2.tgz";
        url  = "https://registry.npmjs.org/glob-parent/-/glob-parent-5.1.2.tgz";
        sha512 = "AOIgSQCepiJYwP3ARnGx+5VnTu2HBYdzbGP45eLw1vr3zB3vZLeyed1sC9hnbcOc9/SrMyM5RPQrkGz4aS9Zow==";
      };
    }
    {
      name = "https___registry.npmjs.org_glob_parent___glob_parent_6.0.2.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_glob_parent___glob_parent_6.0.2.tgz";
        url  = "https://registry.npmjs.org/glob-parent/-/glob-parent-6.0.2.tgz";
        sha512 = "XxwI8EOhVQgWp6iDL+3b0r86f4d6AX6zSU55HfB4ydCEuXLXc5FcYeOu+nnGftS4TEju/11rt4KJPTMgbfmv4A==";
      };
    }
    {
      name = "https___registry.npmjs.org_globals___globals_14.0.0.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_globals___globals_14.0.0.tgz";
        url  = "https://registry.npmjs.org/globals/-/globals-14.0.0.tgz";
        sha512 = "oahGvuMGQlPw/ivIYBjVSrWAfWLBeku5tpPE2fOPLi+WHffIWbuh2tCjhyQhTBPMf5E9jDEH4FOmTYgYwbKwtQ==";
      };
    }
    {
      name = "https___registry.npmjs.org_globby___globby_11.1.0.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_globby___globby_11.1.0.tgz";
        url  = "https://registry.npmjs.org/globby/-/globby-11.1.0.tgz";
        sha512 = "jhIXaOzy1sb8IyocaruWSn1TjmnBVs8Ayhcy83rmxNJ8q2uWKCAj3CnJY+KpGSXCueAPc0i05kVvVKtP1t9S3g==";
      };
    }
    {
      name = "https___registry.npmjs.org_graphemer___graphemer_1.4.0.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_graphemer___graphemer_1.4.0.tgz";
        url  = "https://registry.npmjs.org/graphemer/-/graphemer-1.4.0.tgz";
        sha512 = "EtKwoO6kxCL9WO5xipiHTZlSzBm7WLT627TqC/uVRd0HKmq8NXyebnNYxDoBi7wt8eTWrUrKXCOVaFq9x1kgag==";
      };
    }
    {
      name = "https___registry.npmjs.org_has_flag___has_flag_4.0.0.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_has_flag___has_flag_4.0.0.tgz";
        url  = "https://registry.npmjs.org/has-flag/-/has-flag-4.0.0.tgz";
        sha512 = "EykJT/Q1KjTWctppgIAgfSO0tKVuZUjhgMr17kqTumMl6Afv3EISleU7qZUzoXDFTAHTDC4NOoG/ZxU3EvlMPQ==";
      };
    }
    {
      name = "https___registry.npmjs.org_ignore___ignore_5.3.2.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_ignore___ignore_5.3.2.tgz";
        url  = "https://registry.npmjs.org/ignore/-/ignore-5.3.2.tgz";
        sha512 = "hsBTNUqQTDwkWtcdYI2i06Y/nUBEsNEDJKjWdigLvegy8kDuJAS8uRlpkkcQpyEXL0Z/pjDy5HBmMjRCJ2gq+g==";
      };
    }
    {
      name = "https___registry.npmjs.org_import_fresh___import_fresh_3.3.0.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_import_fresh___import_fresh_3.3.0.tgz";
        url  = "https://registry.npmjs.org/import-fresh/-/import-fresh-3.3.0.tgz";
        sha512 = "veYYhQa+D1QBKznvhUHxb8faxlrwUnxseDAbAp457E0wLNio2bOSKnjYDhMj+YiAq61xrMGhQk9iXVk5FzgQMw==";
      };
    }
    {
      name = "https___registry.npmjs.org_imurmurhash___imurmurhash_0.1.4.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_imurmurhash___imurmurhash_0.1.4.tgz";
        url  = "https://registry.npmjs.org/imurmurhash/-/imurmurhash-0.1.4.tgz";
        sha512 = "JmXMZ6wuvDmLiHEml9ykzqO6lwFbof0GG4IkcGaENdCRDDmMVnny7s5HsIgHCbaq0w2MyPhDqkhTUgS2LU2PHA==";
      };
    }
    {
      name = "https___registry.npmjs.org_is_extglob___is_extglob_2.1.1.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_is_extglob___is_extglob_2.1.1.tgz";
        url  = "https://registry.npmjs.org/is-extglob/-/is-extglob-2.1.1.tgz";
        sha512 = "SbKbANkN603Vi4jEZv49LeVJMn4yGwsbzZworEoyEiutsN3nJYdbO36zfhGJ6QEDpOZIFkDtnq5JRxmvl3jsoQ==";
      };
    }
    {
      name = "https___registry.npmjs.org_is_glob___is_glob_4.0.3.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_is_glob___is_glob_4.0.3.tgz";
        url  = "https://registry.npmjs.org/is-glob/-/is-glob-4.0.3.tgz";
        sha512 = "xelSayHH36ZgE7ZWhli7pW34hNbNl8Ojv5KVmkJD4hBdD3th8Tfk9vYasLM+mXWOZhFkgZfxhLSnrwRr4elSSg==";
      };
    }
    {
      name = "https___registry.npmjs.org_is_number___is_number_7.0.0.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_is_number___is_number_7.0.0.tgz";
        url  = "https://registry.npmjs.org/is-number/-/is-number-7.0.0.tgz";
        sha512 = "41Cifkg6e8TylSpdtTpeLVMqvSBEVzTttHvERD741+pnZ8ANv0004MRL43QKPDlK9cGvNp6NZWZUBlbGXYxxng==";
      };
    }
    {
      name = "https___registry.npmjs.org_isexe___isexe_2.0.0.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_isexe___isexe_2.0.0.tgz";
        url  = "https://registry.npmjs.org/isexe/-/isexe-2.0.0.tgz";
        sha512 = "RHxMLp9lnKHGHRng9QFhRCMbYAcVpn69smSGcq3f36xjgVVWThj4qqLbTLlq7Ssj8B+fIQ1EuCEGI2lKsyQeIw==";
      };
    }
    {
      name = "https___registry.npmjs.org_js_yaml___js_yaml_4.1.0.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_js_yaml___js_yaml_4.1.0.tgz";
        url  = "https://registry.npmjs.org/js-yaml/-/js-yaml-4.1.0.tgz";
        sha512 = "wpxZs9NoxZaJESJGIZTyDEaYpl0FKSA+FB9aJiyemKhMwkxQg63h4T1KJgUGHpTqPDNRcmmYLugrRjJlBtWvRA==";
      };
    }
    {
      name = "https___registry.npmjs.org_json_buffer___json_buffer_3.0.1.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_json_buffer___json_buffer_3.0.1.tgz";
        url  = "https://registry.npmjs.org/json-buffer/-/json-buffer-3.0.1.tgz";
        sha512 = "4bV5BfR2mqfQTJm+V5tPPdf+ZpuhiIvTuAB5g8kcrXOZpTT/QwwVRWBywX1ozr6lEuPdbHxwaJlm9G6mI2sfSQ==";
      };
    }
    {
      name = "https___registry.npmjs.org_json_schema_traverse___json_schema_traverse_0.4.1.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_json_schema_traverse___json_schema_traverse_0.4.1.tgz";
        url  = "https://registry.npmjs.org/json-schema-traverse/-/json-schema-traverse-0.4.1.tgz";
        sha512 = "xbbCH5dCYU5T8LcEhhuh7HJ88HXuW3qsI3Y0zOZFKfZEHcpWiHU/Jxzk629Brsab/mMiHQti9wMP+845RPe3Vg==";
      };
    }
    {
      name = "https___registry.npmjs.org_json_stable_stringify_without_jsonify___json_stable_stringify_without_jsonify_1.0.1.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_json_stable_stringify_without_jsonify___json_stable_stringify_without_jsonify_1.0.1.tgz";
        url  = "https://registry.npmjs.org/json-stable-stringify-without-jsonify/-/json-stable-stringify-without-jsonify-1.0.1.tgz";
        sha512 = "Bdboy+l7tA3OGW6FjyFHWkP5LuByj1Tk33Ljyq0axyzdk9//JSi2u3fP1QSmd1KNwq6VOKYGlAu87CisVir6Pw==";
      };
    }
    {
      name = "https___registry.npmjs.org_keyv___keyv_4.5.4.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_keyv___keyv_4.5.4.tgz";
        url  = "https://registry.npmjs.org/keyv/-/keyv-4.5.4.tgz";
        sha512 = "oxVHkHR/EJf2CNXnWxRLW6mg7JyCCUcG0DtEGmL2ctUo1PNTin1PUil+r/+4r5MpVgC/fn1kjsx7mjSujKqIpw==";
      };
    }
    {
      name = "https___registry.npmjs.org_levn___levn_0.4.1.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_levn___levn_0.4.1.tgz";
        url  = "https://registry.npmjs.org/levn/-/levn-0.4.1.tgz";
        sha512 = "+bT2uH4E5LGE7h/n3evcS/sQlJXCpIp6ym8OWJ5eV6+67Dsql/LaaT7qJBAt2rzfoa/5QBGBhxDix1dMt2kQKQ==";
      };
    }
    {
      name = "https___registry.npmjs.org_locate_path___locate_path_6.0.0.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_locate_path___locate_path_6.0.0.tgz";
        url  = "https://registry.npmjs.org/locate-path/-/locate-path-6.0.0.tgz";
        sha512 = "iPZK6eYjbxRu3uB4/WZ3EsEIMJFMqAoopl3R+zuq0UjcAm/MO6KCweDgPfP3elTztoKP3KtnVHxTn2NHBSDVUw==";
      };
    }
    {
      name = "https___registry.npmjs.org_lodash.merge___lodash.merge_4.6.2.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_lodash.merge___lodash.merge_4.6.2.tgz";
        url  = "https://registry.npmjs.org/lodash.merge/-/lodash.merge-4.6.2.tgz";
        sha512 = "0KpjqXRVvrYyCsX1swR/XTK0va6VQkQM6MNo7PqW77ByjAhoARA8EfrP1N4+KlKj8YS0ZUCtRT/YUuhyYDujIQ==";
      };
    }
    {
      name = "https___registry.npmjs.org_merge2___merge2_1.4.1.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_merge2___merge2_1.4.1.tgz";
        url  = "https://registry.npmjs.org/merge2/-/merge2-1.4.1.tgz";
        sha512 = "8q7VEgMJW4J8tcfVPy8g09NcQwZdbwFEqhe/WZkoIzjn/3TGDwtOCYtXGxA3O8tPzpczCCDgv+P2P5y00ZJOOg==";
      };
    }
    {
      name = "https___registry.npmjs.org_micromatch___micromatch_4.0.8.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_micromatch___micromatch_4.0.8.tgz";
        url  = "https://registry.npmjs.org/micromatch/-/micromatch-4.0.8.tgz";
        sha512 = "PXwfBhYu0hBCPw8Dn0E+WDYb7af3dSLVWKi3HGv84IdF4TyFoC0ysxFd0Goxw7nSv4T/PzEJQxsYsEiFCKo2BA==";
      };
    }
    {
      name = "https___registry.npmjs.org_minimatch___minimatch_3.1.2.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_minimatch___minimatch_3.1.2.tgz";
        url  = "https://registry.npmjs.org/minimatch/-/minimatch-3.1.2.tgz";
        sha512 = "J7p63hRiAjw1NDEww1W7i37+ByIrOWO5XQQAzZ3VOcL0PNybwpfmV/N05zFAzwQ9USyEcX6t3UO+K5aqBQOIHw==";
      };
    }
    {
      name = "https___registry.npmjs.org_minimatch___minimatch_5.1.6.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_minimatch___minimatch_5.1.6.tgz";
        url  = "https://registry.npmjs.org/minimatch/-/minimatch-5.1.6.tgz";
        sha512 = "lKwV/1brpG6mBUFHtb7NUmtABCb2WZZmm2wNiOA5hAb8VdCS4B3dtMWyvcoViccwAW/COERjXLt0zP1zXUN26g==";
      };
    }
    {
      name = "https___registry.npmjs.org_minimatch___minimatch_9.0.5.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_minimatch___minimatch_9.0.5.tgz";
        url  = "https://registry.npmjs.org/minimatch/-/minimatch-9.0.5.tgz";
        sha512 = "G6T0ZX48xgozx7587koeX9Ys2NYy6Gmv//P89sEte9V9whIapMNF4idKxnW2QtCcLiTWlb/wfCabAtAFWhhBow==";
      };
    }
    {
      name = "https___registry.npmjs.org_ms___ms_2.1.3.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_ms___ms_2.1.3.tgz";
        url  = "https://registry.npmjs.org/ms/-/ms-2.1.3.tgz";
        sha512 = "6FlzubTLZG3J2a/NVCAleEhjzq5oxgHyaCU9yYXvcLsvoVaHJq/s5xXI6/XXP6tz7R9xAOtHnSO/tXtF3WRTlA==";
      };
    }
    {
      name = "https___registry.npmjs.org_natural_compare___natural_compare_1.4.0.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_natural_compare___natural_compare_1.4.0.tgz";
        url  = "https://registry.npmjs.org/natural-compare/-/natural-compare-1.4.0.tgz";
        sha512 = "OWND8ei3VtNC9h7V60qff3SVobHr996CTwgxubgyQYEpg290h9J0buyECNNJexkFm5sOajh5G116RYA1c8ZMSw==";
      };
    }
    {
      name = "https___registry.npmjs.org_optionator___optionator_0.9.4.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_optionator___optionator_0.9.4.tgz";
        url  = "https://registry.npmjs.org/optionator/-/optionator-0.9.4.tgz";
        sha512 = "6IpQ7mKUxRcZNLIObR0hz7lxsapSSIYNZJwXPGeF0mTVqGKFIXj1DQcMoT22S3ROcLyY/rz0PWaWZ9ayWmad9g==";
      };
    }
    {
      name = "https___registry.npmjs.org_p_limit___p_limit_3.1.0.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_p_limit___p_limit_3.1.0.tgz";
        url  = "https://registry.npmjs.org/p-limit/-/p-limit-3.1.0.tgz";
        sha512 = "TYOanM3wGwNGsZN2cVTYPArw454xnXj5qmWF1bEoAc4+cU/ol7GVh7odevjp1FNHduHc3KZMcFduxU5Xc6uJRQ==";
      };
    }
    {
      name = "https___registry.npmjs.org_p_locate___p_locate_5.0.0.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_p_locate___p_locate_5.0.0.tgz";
        url  = "https://registry.npmjs.org/p-locate/-/p-locate-5.0.0.tgz";
        sha512 = "LaNjtRWUBY++zB5nE/NwcaoMylSPk+S+ZHNB1TzdbMJMny6dynpAGt7X/tl/QYq3TIeE6nxHppbo2LGymrG5Pw==";
      };
    }
    {
      name = "https___registry.npmjs.org_parent_module___parent_module_1.0.1.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_parent_module___parent_module_1.0.1.tgz";
        url  = "https://registry.npmjs.org/parent-module/-/parent-module-1.0.1.tgz";
        sha512 = "GQ2EWRpQV8/o+Aw8YqtfZZPfNRWZYkbidE9k5rpl/hC3vtHHBfGm2Ifi6qWV+coDGkrUKZAxE3Lot5kcsRlh+g==";
      };
    }
    {
      name = "https___registry.npmjs.org_path_exists___path_exists_4.0.0.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_path_exists___path_exists_4.0.0.tgz";
        url  = "https://registry.npmjs.org/path-exists/-/path-exists-4.0.0.tgz";
        sha512 = "ak9Qy5Q7jYb2Wwcey5Fpvg2KoAc/ZIhLSLOSBmRmygPsGwkVVt0fZa0qrtMz+m6tJTAHfZQ8FnmB4MG4LWy7/w==";
      };
    }
    {
      name = "https___registry.npmjs.org_path_key___path_key_3.1.1.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_path_key___path_key_3.1.1.tgz";
        url  = "https://registry.npmjs.org/path-key/-/path-key-3.1.1.tgz";
        sha512 = "ojmeN0qd+y0jszEtoY48r0Peq5dwMEkIlCOu6Q5f41lfkswXuKtYrhgoTpLnyIcHm24Uhqx+5Tqm2InSwLhE6Q==";
      };
    }
    {
      name = "https___registry.npmjs.org_path_type___path_type_4.0.0.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_path_type___path_type_4.0.0.tgz";
        url  = "https://registry.npmjs.org/path-type/-/path-type-4.0.0.tgz";
        sha512 = "gDKb8aZMDeD/tZWs9P6+q0J9Mwkdl6xMV8TjnGP3qJVJ06bdMgkbBlLU8IdfOsIsFz2BW1rNVT3XuNEl8zPAvw==";
      };
    }
    {
      name = "https___registry.npmjs.org_picomatch___picomatch_2.3.1.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_picomatch___picomatch_2.3.1.tgz";
        url  = "https://registry.npmjs.org/picomatch/-/picomatch-2.3.1.tgz";
        sha512 = "JU3teHTNjmE2VCGFzuY8EXzCDVwEqB2a8fsIvwaStHhAWJEeVd1o1QD80CU6+ZdEXXSLbSsuLwJjkCBWqRQUVA==";
      };
    }
    {
      name = "https___registry.npmjs.org_prelude_ls___prelude_ls_1.2.1.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_prelude_ls___prelude_ls_1.2.1.tgz";
        url  = "https://registry.npmjs.org/prelude-ls/-/prelude-ls-1.2.1.tgz";
        sha512 = "vkcDPrRZo1QZLbn5RLGPpg/WmIQ65qoWWhcGKf/b5eplkkarX0m9z8ppCat4mlOqUsWpyNuYgO3VRyrYHSzX5g==";
      };
    }
    {
      name = "https___registry.npmjs.org_punycode___punycode_2.3.1.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_punycode___punycode_2.3.1.tgz";
        url  = "https://registry.npmjs.org/punycode/-/punycode-2.3.1.tgz";
        sha512 = "vYt7UD1U9Wg6138shLtLOvdAu+8DsC/ilFtEVHcH+wydcSpNE20AfSOduf6MkRFahL5FY7X1oU7nKVZFtfq8Fg==";
      };
    }
    {
      name = "https___registry.npmjs.org_queue_microtask___queue_microtask_1.2.3.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_queue_microtask___queue_microtask_1.2.3.tgz";
        url  = "https://registry.npmjs.org/queue-microtask/-/queue-microtask-1.2.3.tgz";
        sha512 = "NuaNSa6flKT5JaSYQzJok04JzTL1CA6aGhv5rfLW3PgqA+M2ChpZQnAC8h8i4ZFkBS8X5RqkDBHA7r4hej3K9A==";
      };
    }
    {
      name = "https___registry.npmjs.org_resolve_from___resolve_from_4.0.0.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_resolve_from___resolve_from_4.0.0.tgz";
        url  = "https://registry.npmjs.org/resolve-from/-/resolve-from-4.0.0.tgz";
        sha512 = "pb/MYmXstAkysRFx8piNI1tGFNQIFA3vkE3Gq4EuA1dF6gHp/+vgZqsCGJapvy8N3Q+4o7FwvquPJcnZ7RYy4g==";
      };
    }
    {
      name = "https___registry.npmjs.org_reusify___reusify_1.0.4.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_reusify___reusify_1.0.4.tgz";
        url  = "https://registry.npmjs.org/reusify/-/reusify-1.0.4.tgz";
        sha512 = "U9nH88a3fc/ekCF1l0/UP1IosiuIjyTh7hBvXVMHYgVcfGvt897Xguj2UOLDeI5BG2m7/uwyaLVT6fbtCwTyzw==";
      };
    }
    {
      name = "https___registry.npmjs.org_run_parallel___run_parallel_1.2.0.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_run_parallel___run_parallel_1.2.0.tgz";
        url  = "https://registry.npmjs.org/run-parallel/-/run-parallel-1.2.0.tgz";
        sha512 = "5l4VyZR86LZ/lDxZTR6jqL8AFE2S0IFLMP26AbjsLVADxHdhB/c0GUsH+y39UfCi3dzz8OlQuPmnaJOMoDHQBA==";
      };
    }
    {
      name = "https___registry.npmjs.org_semver___semver_7.6.3.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_semver___semver_7.6.3.tgz";
        url  = "https://registry.npmjs.org/semver/-/semver-7.6.3.tgz";
        sha512 = "oVekP1cKtI+CTDvHWYFUcMtsK/00wmAEfyqKfNdARm8u1wNVhSgaX7A8d4UuIlUI5e84iEwOhs7ZPYRmzU9U6A==";
      };
    }
    {
      name = "https___registry.npmjs.org_shebang_command___shebang_command_2.0.0.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_shebang_command___shebang_command_2.0.0.tgz";
        url  = "https://registry.npmjs.org/shebang-command/-/shebang-command-2.0.0.tgz";
        sha512 = "kHxr2zZpYtdmrN1qDjrrX/Z1rR1kG8Dx+gkpK1G4eXmvXswmcE1hTWBWYUzlraYw1/yZp6YuDY77YtvbN0dmDA==";
      };
    }
    {
      name = "https___registry.npmjs.org_shebang_regex___shebang_regex_3.0.0.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_shebang_regex___shebang_regex_3.0.0.tgz";
        url  = "https://registry.npmjs.org/shebang-regex/-/shebang-regex-3.0.0.tgz";
        sha512 = "7++dFhtcx3353uBaq8DDR4NuxBetBzC7ZQOhmTQInHEd6bSrXdiEyzCvG07Z44UYdLShWUyXt5M/yhz8ekcb1A==";
      };
    }
    {
      name = "https___registry.npmjs.org_slash___slash_3.0.0.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_slash___slash_3.0.0.tgz";
        url  = "https://registry.npmjs.org/slash/-/slash-3.0.0.tgz";
        sha512 = "g9Q1haeby36OSStwb4ntCGGGaKsaVSjQ68fBxoQcutl5fS1vuY18H3wSt3jFyFtrkx+Kz0V1G85A4MyAdDMi2Q==";
      };
    }
    {
      name = "https___registry.npmjs.org_strip_json_comments___strip_json_comments_3.1.1.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_strip_json_comments___strip_json_comments_3.1.1.tgz";
        url  = "https://registry.npmjs.org/strip-json-comments/-/strip-json-comments-3.1.1.tgz";
        sha512 = "6fPc+R4ihwqP6N/aIv2f1gMH8lOVtWQHoqC4yK6oSDVVocumAsfCqjkXnqiYMhmMwS/mEHLp7Vehlt3ql6lEig==";
      };
    }
    {
      name = "https___registry.npmjs.org_supports_color___supports_color_7.2.0.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_supports_color___supports_color_7.2.0.tgz";
        url  = "https://registry.npmjs.org/supports-color/-/supports-color-7.2.0.tgz";
        sha512 = "qpCAvRl9stuOHveKsn7HncJRvv501qIacKzQlO/+Lwxc9+0q2wLyv4Dfvt80/DPn2pqOBsJdDiogXGR9+OvwRw==";
      };
    }
    {
      name = "https___registry.npmjs.org_to_regex_range___to_regex_range_5.0.1.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_to_regex_range___to_regex_range_5.0.1.tgz";
        url  = "https://registry.npmjs.org/to-regex-range/-/to-regex-range-5.0.1.tgz";
        sha512 = "65P7iz6X5yEr1cwcgvQxbbIw7Uk3gOy5dIdtZ4rDveLqhrdJP+Li/Hx6tyK0NEb+2GCyneCMJiGqrADCSNk8sQ==";
      };
    }
    {
      name = "https___registry.npmjs.org_ts_api_utils___ts_api_utils_1.3.0.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_ts_api_utils___ts_api_utils_1.3.0.tgz";
        url  = "https://registry.npmjs.org/ts-api-utils/-/ts-api-utils-1.3.0.tgz";
        sha512 = "UQMIo7pb8WRomKR1/+MFVLTroIvDVtMX3K6OUir8ynLyzB8Jeriont2bTAtmNPa1ekAgN7YPDyf6V+ygrdU+eQ==";
      };
    }
    {
      name = "https___registry.npmjs.org_type_check___type_check_0.4.0.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_type_check___type_check_0.4.0.tgz";
        url  = "https://registry.npmjs.org/type-check/-/type-check-0.4.0.tgz";
        sha512 = "XleUoc9uwGXqjWwXaUTZAmzMcFZ5858QA2vvx1Ur5xIcixXIP+8LnFDgRplU30us6teqdlskFfu+ae4K79Ooew==";
      };
    }
    {
      name = "typescript___typescript_5.7.3.tgz";
      path = fetchurl {
        name = "typescript___typescript_5.7.3.tgz";
        url  = "https://registry.yarnpkg.com/typescript/-/typescript-5.7.3.tgz";
        sha512 = "84MVSjMEHP+FQRPy3pX9sTVV/INIex71s9TL2Gm5FG/WG1SqXeKyZ0k7/blY/4FdOzI12CBy1vGc4og/eus0fw==";
      };
    }
    {
      name = "undici_types___undici_types_6.20.0.tgz";
      path = fetchurl {
        name = "undici_types___undici_types_6.20.0.tgz";
        url  = "https://registry.yarnpkg.com/undici-types/-/undici-types-6.20.0.tgz";
        sha512 = "Ny6QZ2Nju20vw1SRHe3d9jVu6gJ+4e3+MMpqu7pqE5HT6WsTSlce++GQmK5UXS8mzV8DSYHrQH+Xrf2jVcuKNg==";
      };
    }
    {
      name = "https___registry.npmjs.org_uri_js___uri_js_4.4.1.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_uri_js___uri_js_4.4.1.tgz";
        url  = "https://registry.npmjs.org/uri-js/-/uri-js-4.4.1.tgz";
        sha512 = "7rKUyy33Q1yc98pQ1DAmLtwX109F7TIfWlW1Ydo8Wl1ii1SeHieeh0HHfPeL2fMXK6z0s8ecKs9frCuLJvndBg==";
      };
    }
    {
      name = "https___registry.npmjs.org_vscode_jsonrpc___vscode_jsonrpc_8.2.0.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_vscode_jsonrpc___vscode_jsonrpc_8.2.0.tgz";
        url  = "https://registry.npmjs.org/vscode-jsonrpc/-/vscode-jsonrpc-8.2.0.tgz";
        sha512 = "C+r0eKJUIfiDIfwJhria30+TYWPtuHJXHtI7J0YlOmKAo7ogxP20T0zxB7HZQIFhIyvoBPwWskjxrvAtfjyZfA==";
      };
    }
    {
      name = "https___registry.npmjs.org_vscode_languageclient___vscode_languageclient_9.0.1.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_vscode_languageclient___vscode_languageclient_9.0.1.tgz";
        url  = "https://registry.npmjs.org/vscode-languageclient/-/vscode-languageclient-9.0.1.tgz";
        sha512 = "JZiimVdvimEuHh5olxhxkht09m3JzUGwggb5eRUkzzJhZ2KjCN0nh55VfiED9oez9DyF8/fz1g1iBV3h+0Z2EA==";
      };
    }
    {
      name = "https___registry.npmjs.org_vscode_languageserver_protocol___vscode_languageserver_protocol_3.17.5.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_vscode_languageserver_protocol___vscode_languageserver_protocol_3.17.5.tgz";
        url  = "https://registry.npmjs.org/vscode-languageserver-protocol/-/vscode-languageserver-protocol-3.17.5.tgz";
        sha512 = "mb1bvRJN8SVznADSGWM9u/b07H7Ecg0I3OgXDuLdn307rl/J3A9YD6/eYOssqhecL27hK1IPZAsaqh00i/Jljg==";
      };
    }
    {
      name = "https___registry.npmjs.org_vscode_languageserver_types___vscode_languageserver_types_3.17.5.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_vscode_languageserver_types___vscode_languageserver_types_3.17.5.tgz";
        url  = "https://registry.npmjs.org/vscode-languageserver-types/-/vscode-languageserver-types-3.17.5.tgz";
        sha512 = "Ld1VelNuX9pdF39h2Hgaeb5hEZM2Z3jUrrMgWQAu82jMtZp7p3vJT3BzToKtZI7NgQssZje5o0zryOrhQvzQAg==";
      };
    }
    {
      name = "https___registry.npmjs.org_which___which_2.0.2.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_which___which_2.0.2.tgz";
        url  = "https://registry.npmjs.org/which/-/which-2.0.2.tgz";
        sha512 = "BLI3Tl1TW3Pvl70l3yq3Y64i+awpwXqsGBYWkkqMtnbXgrMD+yj7rhW0kuEDxzJaYXGjEW5ogapKNMEKNMjibA==";
      };
    }
    {
      name = "https___registry.npmjs.org_word_wrap___word_wrap_1.2.5.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_word_wrap___word_wrap_1.2.5.tgz";
        url  = "https://registry.npmjs.org/word-wrap/-/word-wrap-1.2.5.tgz";
        sha512 = "BN22B5eaMMI9UMtjrGd5g5eCYPpCPDUy0FJXbYsaT5zYxjFOckS53SQDE3pWkVoWpHXVb3BrYcEN4Twa55B5cA==";
      };
    }
    {
      name = "https___registry.npmjs.org_yocto_queue___yocto_queue_0.1.0.tgz";
      path = fetchurl {
        name = "https___registry.npmjs.org_yocto_queue___yocto_queue_0.1.0.tgz";
        url  = "https://registry.npmjs.org/yocto-queue/-/yocto-queue-0.1.0.tgz";
        sha512 = "rVksvsnNCdJ/ohGc6xgPwyN8eheCxsiLM8mxuE/t/mOVqJewPuO1miLpTHQiRgTKCLexL4MeAFVagts7HmNZ2Q==";
      };
    }
  ];
}
